Subject: [Geopriv] Comments on draft-ietf-geopriv-lis-discovery-02

From: Eric Rescorla <[email-masked]>
Date: Tue, 15 Jul 2008 09:55:47 -0700

$Id: draft-ietf-geopriv-lis-discovery-02-rev.txt,v 1.1 2008/07/15 16:13:59 ekr Exp $

Partial review, S 2 only:

This section reads:

   There is no default port for HELD.  Nor is there a different scheme
   for a "secure" variant using an additional 's' character (see Section
   4 of [RFC3025]).  HELD requires that TLS be implemented; private
   agreements on the use of unsecured TCP, or the
   TLS_NULL_NULL_WITH_NULL cipher suite are possible, but are not the
   concern of this document.

1. No doubt you mean RFC 3205.
2. Regardless of what RFC 3205 says [and IMO it's wrong], this is
   noninteroperable. The TLS ClientHello is not valid HTTP and
   neither clients or servers are prepared to resume valid
   HTTP after the failure of a TLS handshake. If the client
   tries TLS and the server is not prepared, the connection
   will simply fail. I suppose you could specify the
   mechanism in RFC 2817 (which is more or less unused)
   but barring that, you need an indicator in the URI that
   the client should expect TLS. 
3. You need a cite to RFC 2818.
4. TLS is forbidden to negotiate TLS_NULL_NULL_WITH_NULL, so it's
   meaninglyess to mention this here.
5. I don't understand this bit about "private agreements on the
   use of unsecured TCP". Is TCP permitted or not? This
   document just says that TLS is MTI, nut MT Use.

-Ekr
_______________________________________________
Geopriv mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/geopriv

---

From: "Thomson, Martin" <[email-masked]>
Date: Tue, 15 Jul 2008 20:01:02 -0500

Agreements between friends is the point of these statements - in the sense of "what's a little 'MUST' between friends".  When a private arrangement is made, the rules of interoperability don't apply.  I almost didn't put the paragraph in, and on consideration, it's a dumb idea to write this down, people will make private agreements without our help or permission.  Consider it gone.

We still have a little way to go on the URIs it seems.  I'll leave that for now (Mary, James and I will discuss privately).

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Eric Rescorla
> Sent: Wednesday, 16 July 2008 2:56 AM
> To: [email-masked]
> Subject: [Geopriv] Comments on draft-ietf-geopriv-lis-discovery-02
> 

Indeed, my typo.

>    document just says that TLS is MTI, nut MT Use.

------------------------------------------------------------------------------------------------
This message is for the designated recipient only and may
contain privileged, proprietary, or otherwise private information.  
If you have received it in error, please notify the sender
immediately and delete the original.  Any unauthorized use of
this email is prohibited.
------------------------------------------------------------------------------------------------
[mf2]
_______________________________________________
Geopriv mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/geopriv